body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    background: url('images/background-image.png') no-repeat center center fixed;
    background-size: cover;
    height: 100vh;
    display: flex;
    flex-direction: column;
    color: white;
    overflow: hidden;
}

.top-bar {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 34px;
    background-color: black;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding-right: 20px;
    z-index: 10;
}

.sony-logo {
    margin-left: 20px;
    margin-right: 13px;
}

.sony-logo img {
    height: 12px;
}

.background {
    position: absolute;
    top: 34px;
    left: 0;
    width: 100%;
    height: calc(100% - 34px);
    background: url('images/background-image.png') no-repeat center center fixed;
    background-size: cover;
    z-index: -1;
}

.left-container {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50%;
    height: calc(100% - 34px);
    padding-top: 34px;
    box-sizing: border-box;
}

.logo {
    text-align: center;
    margin-top: 20px;
}

.logo img {
    width: 128px;
}

.login-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: calc(100% - 34px);
    width: 50%;
    background: rgba(0, 0, 0, 0.9);
    position: absolute;
    right: 0;
    top: 34px;
    box-sizing: border-box;
    backdrop-filter: blur(10px);
}

.close-button {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 40px;
    cursor: pointer;
    z-index: 1;
}

.login-box {
    text-align: center;
    width: 70%;
    position: relative;
}

.login-box h2 {
    margin-bottom: 20px;
    font-weight: normal;
    font-size: 24px;
}

.email-display {
    margin-bottom: 20px;
    /* Espace au-dessus de l'input */
    color: white;
    text-align: left;
}

.email-text {
    font-size: 16px;
    font-weight: normal;
}

.textbox {
    margin-bottom: 20px;
    position: relative;
}

.input-label {
    display: block;
    color: white;
    text-align: left;
    font-size: 16px;
    margin-bottom: 12px;
    margin-left: 20px;
    font-weight: 150;
}

.textbox input {
    width: 100%;
    padding: 17px;
    border: none;
    border-radius: 30px;
    background: rgba(0, 0, 0, 0.9);
    color: white;
    font-weight: normal;
    box-sizing: border-box;
    position: relative;
    z-index: 10;
}

.textbox input[type="text"] {
    background: transparent;
    border: 1px solid white;
    outline: none;
    border-radius: 5px;
}

.textbox input[type="text"]:focus {
    outline: none;
    border: 1px solid white;
}

.eye-icon {
    position: absolute;
    right: 15px;
    top: 100%;
    transform: translateY(-245%);
    cursor: pointer;
    width: 30px;
    height: 25px;
    background-size: cover;
}

.btn {
    width: 100%;
    padding: 15px;
    background-color: #757575;
    color: black;
    border: none;
    border-radius: 30px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.btn.active {
    background-color: white;
    color: black;
}

.btn.create-account {
    background-color: rgba(102, 102, 102, 0.3);
    border: 1px solid white;
    margin-top: 10px;
    border-radius: 30px;
    color: white;
    font-weight: bold;
}

.links {
    margin: 20px 0;
}

.links a {
    color: #249cff;
    text-decoration: underline;
    display: block;
    margin-bottom: 18px;
    font-weight: normal;
    font-size: 16px;
}

.help-link {
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
}

.help-link a {
    color: #249cff;
    text-decoration: underline;
    font-weight: normal;
    font-size: 16px;
}

.back-button {
    position: absolute;
    top: 10px;
    left: 20px;
    font-size: 40px;
    cursor: pointer;
    z-index: 1;
    color: white;
    background: none;
    border: none;
    display: none;
    /* Initialement caché */
}

.close-button {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 40px;
    cursor: pointer;
    z-index: 1;
}


/* Version mobile */

@media (max-width: 768px) {
    body {
        flex-direction: column;
        overflow-y: auto;
        height: 100vh;
    }
    .top-bar {
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        padding-left: 20px;
        padding-right: 20px;
        width: 100%;
        height: 42px;
        padding-top: 5px;
        padding-bottom: 5px;
        box-sizing: border-box;
    }
    .sony-logo {
        margin-left: 0;
        margin-right: 0;
    }
    .sony-logo img {
        height: 16px;
    }
    .left-container {
        display: flex;
        width: 100%;
        height: auto;
        padding-top: 20px;
        padding-bottom: 20px;
        justify-content: center;
        align-items: center;
        background: none;
        position: relative;
    }
    .logo {
        text-align: center;
        margin-top: 0;
        position: relative;
    }
    .logo img {
        width: 80px;
    }
    .background {
        display: none;
    }
    .login-container {
        width: 100%;
        flex: 1;
        position: relative;
        top: 0;
        right: 0;
        background: rgba(0, 0, 0, 0.75);
        padding: 20px;
        margin-top: 0;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        padding-top: 30px;
        align-items: flex-start;
    }
    .login-box {
        width: 100%;
    }
    .close-button {
        position: absolute;
        top: 10px;
        right: 20px;
        font-size: 30px;
    }
    .login-box h2 {
        font-size: 20px;
        margin-bottom: 15px;
    }
    .btn {
        padding: 12px;
        font-size: 14px;
    }
    .input-label {
        font-size: 14px;
        margin-bottom: 8px;
        margin-left: 0;
        color: white;
    }
    .textbox input {
        padding: 12px;
        font-size: 14px;
    }
    .links a {
        font-size: 14px;
        margin-bottom: 8px;
    }
    .help-link {
        position: absolute;
        bottom: 20px;
        left: 50%;
        transform: translateX(-50%);
        margin-top: 0;
        width: 100%;
        text-align: center;
    }
    .help-link a {
        font-size: 14px;
    }
}